Subject: bug#44744: 12.2.4; Incomplete documentation for TeX-view-program-list

From: Arash Esbati <[email-masked]>
Date: Fri, 20 Nov 2020 14:20:35 +0100

Hi James,

James Cook <[email-masked]> writes:

> I wanted to add mupdf TeX-view-program-list, but the documentation
> (appearing in customize-variable for example) was missing one crucial
> piece of information: how I should actually format the command.

Admittedly, there are no examples in the docstring, but ...

,----[ C-h v TeX-view-program-list RET ]
| TeX-view-program-list is a variable defined in ‘tex.el’.
| Its value is nil
| 
|   You can customize this variable.
| 
| Documentation:
| List of viewer specifications.
| This variable can be used to specify how a viewer is to be
| invoked and thereby add new viewers on top of the built-in list
| of viewers defined in ‘TeX-view-program-list-builtin’ or override
| entries in the latter.

This is a link where you can find examples for built-in viewers.

> I eventually figured out it needs to be "mupdf %o". Either %o should
> be documented right there, or there should be a link to a place where
> it and other substitutions are documented. (I'm sure they are
> somewhere; I just have no idea where to start looking.)

| Note that the command line can contain placeholders as defined in
| ‘TeX-expand-list’ which are expanded before the viewer is called.

The placeholders (%o and such) are again linked to `TeX-expand-list'
which then redirects you to `TeX-expand-list-builtin'.

What would you suggest in order to make the docstring more clear?

Best, Arash